# Submit Language Identification Job Starts an asynchronous job to identify the most probable language in the audio. Audio can be specified in two ways, either by including a public url to the media via the source_config option or by uploading a local file as part of a multipart/form request. Endpoint: POST /languageid/v1/jobs Version: v1 Security: AccessToken ## Request fields (application/json): - `metadata` (string,null) Optional metadata that was provided during job submission. - `notification_config` (object,null) Optional configuration for a callback url to invoke when processing is complete, in addition to auth headers if they are needed to invoke the callback url. Cannot be set if callback_url is set. This option will not be visible in the submission response. - `notification_config.url` (string, required) Optional callback url to invoke when processing is complete Example: "https://www.example.com/callback" - `notification_config.auth_headers` (object,null) Optional authorization headers, if they are needed to invoke the callback. There are a few constraints: 1) the “Authorization” header is the only header that can be passed in, and 2) the header value must be of the form . For example: {"Authorization": "Bearer $BEARER_TOKEN"} - `notification_config.auth_headers.Authorization` (string, required) Example: "Bearer " - `delete_after_seconds` (integer,null) Amount of time after job completion when job is auto-deleted. Present only when preference set in job request. - `source_config` (object,null) Optional authorization headers, if they are needed to access the resource at the URL. Headers could be a single Authorization header of the form , and one of the [AWS signature v4 headers](https://docs.aws.amazon.com/AmazonS3/latest/API/sigv4-auth-using-authorization-header.html). Only one of source_config and media_url may be set. This option will not be visible in the submission response. - `source_config.url` (string, required) Direct download media url. Ignored if submitting job from file. Example: "https://www.rev.ai/FTC_Sample_1.mp3" - `source_config.auth_headers` (object,null) Optional authorization headers, if they are needed to access the resource at the media url. There are a few constraints: 1) the “Authorization” header is the only header that can be passed in, and 2) the header value must be of the form . For example: {"Authorization": "Bearer $BEARER_TOKEN"} - `callback_url` (string,null) Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored. Example: "https://www.example.com/callback" - `media_url` (string) [HIPAA unsupported] Deprecated. Use source_config instead. Direct download media url. If this parameter is used to pass in the media url, the media url will be visible in the response. It is recommended to use the source_config parameter instead, as authorization headers can be included and both the source url and auth headers will be encrypted when stored. ## Response 200 fields (application/json): - `id` (string) Id of the job. Example: "Umx5c6F7pH7r" - `created_on` (string) The date and time the job was created in ISO-8601 UTC form. Example: "2018-05-05T23:23:22.29Z" - `completed_on` (string,null) The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form. Example: "2018-05-05T23:28:22.29Z" - `metadata` (string,null) Optional metadata that was provided during job submission. - `failure_detail` (string,null) Human-readable reason why the job failed. Example: "Internal server error." - `delete_after_seconds` (integer,null) Amount of time after job completion when job is auto-deleted. Present only when preference set in job request. - `status` (string) Current status of the job. Enum: "in_progress", "completed", "failed" - `failure` (string) Simple reason of why the job failed. Check failure_detail for specific details and solutions. Enum: "internal_processing", "insufficient_balance", "invoicing_limit_exceeded" - `type` (string) The type of action performed, in this case language_id Enum: "language_id" - `processed_duration_seconds` (number,null) Duration of the processed audio in seconds. Null if the job has not completed Example: 107 - `callback_url` (string,null) Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored. Example: "https://www.example.com/callback" - `media_url` (string) [HIPAA unsupported] Deprecated. Use source_config instead. Direct download media url. If this parameter is used to pass in the media url, the media url will be visible in the response. It is recommended to use the source_config parameter instead, as authorization headers can be included and both the source url and auth headers will be encrypted when stored. ## Response 400 fields (application/json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error - `parameters` (object) Invalid properties object where each property is the key, mapped to a list of reasons why the property is invalid ## Response 401 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `status` (integer) HTTP status code of the error ## Response 403 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error ## Response 413 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `detail` (string) Human-readable explanation specific to this occurrence of the problem - `status` (integer) HTTP status code of the error